@charset "UTF-8";

.noloading .loading {
    display: none;
}

html:not(.noloading).overhide {
    height: 100vh;
    background: #24cbd3;
    overflow: hidden;
}

html:not(.noloading).overhide header,
html:not(.noloading).overhide main,
html:not(.noloading).overhide .toolmenu,
html:not(.noloading).overhide footer {
    opacity: 0;
}

.loading {
    position: fixed;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #24cbd3 0%, #0bbac2 100%);
    z-index: 1000;
}

.loading__inner {
    display: block;
    width: calc(100% - 120px);
    max-width: 1300px;
    height: 100%;
    margin: 0 auto;
}

/****眼睛****/
.loading__inner__eye {
    position: absolute;
    top: max(40%, calc(50% - 100px));
    left: 0;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 100%;
    margin: 0 auto;
}

.loading__inner__eye__item {
    display: block;
    width: 45px;
    height: 45px;
    background: #fff;
    border-radius: 50%;
    margin: 0 5px;
}

.loading__inner__eye__item__pupil,
.loading__inner__eye__item__pupil::after {
    content: '';
    position: absolute;
    top: 10%;
    left: 10%;
    display: block;
    width: 33.33%;
    height: 33.33%;
    border-radius: 50%;
    transform-origin: center;
    animation: eye 2.5s ease-in-out infinite;
}

.loading__inner__eye__item__pupil {
    background: #010101;
}

.loading__inner__eye__item__pupil::after {
    background: #fff;
}

/***loading****/
.loading__inner__item {
    position: absolute;
    bottom: min(100px, calc(50% - 200px));
    left: 0;
    display: block;
    width: 100%;
}

.loading__inner__item__count {
    display: flex;
    place-items: center;
    place-content: center;
    width: 120px;
    height: 120px;
    font-size: 24px;
    line-height: 1;
    letter-spacing: 1px;
    color: #fff;
    font-family: 'Poppins-EB';
    margin: 0 auto 20px auto;
    border-radius: 50%;
    border: 2px solid rgba(255, 255, 255, .5);
}

.loading__inner__item__count::after {
    content: '%';
}

.loading__inner__item__text {
    display: block;
    width: 100%;
    font-size: 16px;
    line-height: 1;
    letter-spacing: 2px;
    color: #fff;
    font-family: 'Poppins-EB';
    text-align: center;
}

@media screen and (max-width: 991px) {
    .loading__inner {
        width: calc(100% - 60px);
    }
}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 575px) {
    .loading__inner {
        width: calc(100% - 40px);
    }

    /****眼睛****/
    .loading__inner__eye {
        top: max(45%, calc(50% - 85px));
    }

    .loading__inner__eye__item {
        width: 30px;
        height: 30px;
    }

    /***loading****/
    .loading__inner__item {
        bottom: min(55px, calc(50% - 200px));
    }

    .loading__inner__item__count {
        width: 80px;
        height: 80px;
        font-size: 17px;
        margin: 0 auto 15px auto;
    }

    .loading__inner__item__text {
        font-size: 14px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {
    @media screen and (max-width: 575px) {

        /***loading****/
        .loading__inner__item {
            bottom: min(55px, calc(50% - 200px));
        }
    }

    @media screen and (max-width: 575px) {

        /***loading****/
        .loading__inner__item {
            bottom: min(80px, calc(50% - 250px));
        }
    }
}